'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getImplicitRoleForImg;

var _getAttribute = require('../getAttribute');

var _getAttribute2 = _interopRequireDefault(_getAttribute);

var _getAttributeValue = require('../getAttributeValue');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns the implicit role for an img tag.
 */
function getImplicitRoleForImg(attributes) {
  var alt = (0, _getAttribute2.default)(attributes, 'alt');

  if (alt && (0, _getAttributeValue.getLiteralAttributeValue)(alt) === '') {
    return 'presentation';
  }

  return 'img';
}