'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getImplicitRoleForMenuitem;

var _getAttribute = require('../getAttribute');

var _getAttribute2 = _interopRequireDefault(_getAttribute);

var _getAttributeValue = require('../getAttributeValue');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns the implicit role for a menuitem tag.
 */
function getImplicitRoleForMenuitem(attributes) {
  var type = (0, _getAttribute2.default)(attributes, 'type');

  if (type) {
    var value = (0, _getAttributeValue.getLiteralAttributeValue)(type) || '';

    switch (value.toUpperCase()) {
      case 'COMMAND':
        return 'menuitem';
      case 'CHECKBOX':
        return 'menuitemcheckbox';
      case 'RADIO':
        return 'menuitemradio';
      default:
        return '';
    }
  }

  return '';
}