'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _getAttribute = require('./getAttribute');

var _getAttribute2 = _interopRequireDefault(_getAttribute);

var _getAttributeValue = require('./getAttributeValue');

var _getAttributeValue2 = _interopRequireDefault(_getAttributeValue);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Returns boolean indicating that the aria-hidden prop
 * is present or the value is true. Will also return true if
 * there is an input with type='hidden'.
 *
 * <div aria-hidden /> is equivalent to the DOM as <div aria-hidden=true />.
 */
var isHiddenFromScreenReader = function isHiddenFromScreenReader(type, attributes) {
  if (type.toUpperCase() === 'INPUT') {
    var hidden = (0, _getAttributeValue.getLiteralAttributeValue)((0, _getAttribute2.default)(attributes, 'type'));

    if (hidden && hidden.toUpperCase() == 'HIDDEN') {
      return true;
    }
  }

  var ariaHidden = (0, _getAttributeValue2.default)((0, _getAttribute2.default)(attributes, 'aria-hidden'));
  return ariaHidden === true;
};

exports.default = isHiddenFromScreenReader;